curl https://zeplo.ai/api/v1/templates \
-H "x-api-key: zeplo_ak_abc123..." \
-H "x-api-secret: zeplo_as_abc123..." \
-H "x-channel-id: 647015955153740"
REST API v1 (External)
GET Templates (v1)
List WhatsApp templates with interactive testing.
GET
/
api
/
v1
/
templates
curl https://zeplo.ai/api/v1/templates \
-H "x-api-key: zeplo_ak_abc123..." \
-H "x-api-secret: zeplo_as_abc123..." \
-H "x-channel-id: 647015955153740"
List templates (v1)
GET /api/v1/templates
Retrieve WhatsApp message templates.
Headers
string
required
Your API key
string
required
Your API secret key
string
required
WhatsApp channel ID
Query parameters
string
Filter by status:
APPROVED, PENDING, REJECTED, PAUSED.string
Filter by category:
MARKETING, UTILITY, AUTHENTICATION.string
Search template name.
curl https://zeplo.ai/api/v1/templates \
-H "x-api-key: zeplo_ak_abc123..." \
-H "x-api-secret: zeplo_as_abc123..." \
-H "x-channel-id: 647015955153740"
